# progressbar.h

## Data Structures
struct | PROGRESSBARPTR
## Functions
PROGRESSBARPTR | get_first_element_from_progress_bar_list (void)
PROGRESSBARPTR | set_first_element_in_progress_bar_list (PROGRESSBARPTR *newfirst)
PROGRESSBARPTR | create_new_progress_bar (char *label, float x, float y, float width, float height, float rx, float ry, ALLEGRO_COLOR out_color, ALLEGRO_COLOR in_color, float thickness, _Bool add_to_list)
PROGRESSBARPTR | add_element_to_progress_bar_list (PROGRESSBARPTR *progbar)
PROGRESSBARPTR | remove_element_from_progress_bar_list (char *label)
PROGRESSBARPTR | search_progress_bar_list_for_element (char *label)
void | render_progress_bars (void)
_Bool | empty_progress_bar_list (PROGRESSBARPTR firstptr)

## Detailed Description

Routines to draw and update progress bars

## Function Documentation

PROGRESSBARPTR add_element_to_progress_bar_list | ( | PROGRESSBARPTR * | progbar | ) |

Definition at line 86 of file progressbar.c.

PROGRESSBARPTR create_new_progress_bar | ( | char * | label,
|  | float | x,
|  | float | y,
|  | float | width,
|  | float | height,
|  | float | rx,
|  | float | ry,
|  | ALLEGRO_COLOR | out_color,
|  | ALLEGRO_COLOR | in_color,
|  | float | thickness,
|  | _Bool | add_to_list |
| ) |  |  |

Definition at line 54 of file progressbar.c.

_Bool empty_progress_bar_list | ( | PROGRESSBARPTR | firstptr | ) |

Definition at line 171 of file progressbar.c.

PROGRESSBARPTR get_first_element_from_progress_bar_list | ( | void |  | ) |

Definition at line 39 of file progressbar.c.

PROGRESSBARPTR remove_element_from_progress_bar_list | ( | char * | label | ) |

Definition at line 108 of file progressbar.c.

void render_progress_bars | ( | void |  | ) |

Definition at line 148 of file progressbar.c.

PROGRESSBARPTR search_progress_bar_list_for_element | ( | char * | label | ) |

Definition at line 132 of file progressbar.c.

PROGRESSBARPTR set_first_element_in_progress_bar_list | ( | PROGRESSBARPTR * | newfirst | ) |

Definition at line 46 of file progressbar.c.